<?php
function getSincePubDate($pubDateString=''){
    $sincePubDate = '';

    if($pubDateString){
        $pubDate = createFromDateString($pubDateString);
        $today = \Carbon\Carbon::now('America/Sao_Paulo');
        $elapsedTime = $today->diffInMinutes($pubDate);
        $sincePubDate = 'Há ' . $elapsedTime . ' minutos';

        if($elapsedTime <= 1){$sincePubDate = 'Há 1 minuto';}

        if($elapsedTime > 59){
            $elapsedTime = $today->diffInHours($pubDate);
            $sincePubDate = 'Há ' . $elapsedTime . ' horas';
            
            if($elapsedTime <= 1){$sincePubDate = 'Há 1 hora';}
            
            if($elapsedTime > 24){
                $elapsedTime = $today->diffInDays($pubDate);
                $sincePubDate = 'Há ' . $elapsedTime . ' dias';
                
                if($elapsedTime <= 1){$sincePubDate = 'Há 1 dia';}
            }
        }
    }

    return $sincePubDate;
}

function createFromDateString($pubDateString=''){
    $pubDate = null;

    if($pubDateString){
        $timeZone = 'America/Sao_Paulo';
        $aux = explode(' ', $pubDateString);
        $aux[0] = str_replace('/', '-', $aux[0]);

        if(strpos($aux[0], '-') != 4){
            $data = explode('-', $aux[0]);
            $aux[0] = $data[2] . '-' . $data[1] . '-' . $data[0];
        }

        $timestamp = strtotime($aux[0] . ' ' . $aux[1] . ' ' . $timeZone);
        $pubDate = \Carbon\Carbon::createFromTimestamp($timestamp, $timeZone);
    }

    return $pubDate;
}

function getPhpURL(){
    $baseURL = 'http://';

    if(isset($_SERVER['HTTPS']) && 'on' === $_SERVER['HTTPS']){
        $baseURL = 'https://';
    }

    $baseURL .= $_SERVER['HTTP_HOST'];
    
    $aux = explode('/', $_SERVER['PHP_SELF']);
    array_pop($aux);

    return $baseURL . implode('/', $aux);
}

function getPlayerURL(){
    $playerURL = getPhpURL();
    
    return str_ireplace('/php', '/player', $playerURL);
}

function getJsonFolderPath(){
	$jsonFolder = 'jsons' . DIRECTORY_SEPARATOR . date('Y_m_d');// não inclui "php/" antes pois será utilizado relativo aos scripts que ficam dentro da 'php'
	
	if(!file_exists($jsonFolder)){
		$old = umask(0);
		$success = @mkdir($jsonFolder, 0775, TRUE);
		umask($old);
    
    if(!$success){
      notifyDev('Falha no "mkdir" que gera os "JSON cache" em /var/www/vh/198.58.103.246/docroot/enplug/apps/uol-financas');
      $jsonFolder = '';
    }
	}
	
	return $jsonFolder;
}

function dd($v, $killScript = true){
    if(is_array($v)){
        print_r($v);
    }else{
        var_dump($v);
    }

    if($killScript){
        die();
    }else{
        echo "\n\r";
    }
}

function getUolServiceUrl(){
	return 'https://economia.uol.com.br/cotacoes/xml/s.jhtm';
	//return 'https://api.cotacoes.uol.com/mixed/summary?fields=name,askvalue,bidvalue,variationpercentbid,date,price,exchangeasset&itens=1&currencies=1,3,5,7';
}

function getUolFinancasChannels(){
	return [
		1 => ['Dolar comercial', 'Euro', 'Libra'],
		2 => ['Bovespa'],
	];
}

function notifyDev($msg=''){
  mail('sergio@hashtagtv.com.br', 'UOL finanças Exception', $msg);
}

//$debug = 'php url = ' . getPhpURL() . PHP_EOL;
//$debug .= 'player url = ' . getPlayerURL() . PHP_EOL;
//$debug .= 'json folder path = ' . getJsonFolderPath() . PHP_EOL;
//echo $debug;
