jQuery(document).ready(function(){
  var progressBar = jQuery('#progressBar'),
  exhibitionTimeMilliseconds = 10000,
  page = jQuery('#page'),
  horaCertaSP = jQuery('#Sao_Paulo_z17b'),
  logoUolLeft = jQuery('#logo-uol-top-left'),
  logoUolRight = jQuery('#logo-uol-top-right'),
  asset = null;

  if(showDebugConsole){
    debugConsole.show();
  }

  if(time_is_widget){
    time_is_widget.init({
      Sao_Paulo_z17b:{
        template:'<p class="time-is-txt-time">TIME</p><p class="time-is-txt-date">DATE</p>',
        time_format:'hourshminutes',
        date_format:'dname daynum/monthnum',
      }
    });
  }

  page.carousel({
    interval:false,
    pause:null,
    keyboard:true
  });

  page.on('slide.bs.carousel', function(){
    progressBar.css({opacity:0, width:0});
  });

  page.on('slid.bs.carousel', function(){
    animateProgressBar();
  });

  enplug.on('destroy', function(done){
    done();
  });
  
  jQuery(window).on('resize', function(){
		setScreenSize();
	});

  if(allowBrowserNavigation){
    asset = enplugAssetMock;
    getEnplugContent();
  }else{
    var rs = enplug.assets.getNext();
    
    rs.then(function(_asset){
      asset = _asset;
      getEnplugContent();
    });
  }

  function getEnplugContent(){
    var activeChannels = [];
    
    jQuery.each(asset.FeedActiveChannels, function(index, feed){
      activeChannels.push(feed.channel);
    });

    var feedURL = asset.proxyURL + '/php/index.php?a=1&c=' + activeChannels.join(',');
    
    jQuery.ajax({
      type:'GET',
      cache:false,
      url:feedURL,
      datatype:'json'
    }).done(function(response){
      if(response.error){
        enplug.appStatus.hide();
      }else{
        page.html(response.content);
        page.find('.item').eq(Math.floor((Math.random() * page.find('.item').length))).addClass('active');
        showContent();
      }
    }).fail(function(jqXHR){
      enplug.appStatus.hide();
    });
  }

  function animateProgressBar(){
    if(page.find('.item').length > 1){
      progressBar.stop().animate({
        width:jQuery(window).width() + 'px'
      }, exhibitionTimeMilliseconds, 'linear', function(){
        page.carousel('next');
      });
    }
  }
	
	function showContent(){
		enplug.appStatus.start().then(function(){
      setScreenSize();
    });
	}
  
  function setScreenSize(){
		page.find('.item').css({
			width:jQuery(window).width() + 'px',
			height:jQuery(window).height() + 'px'
		});
    
    animateProgressBar();
	}
});