var debugConsole = jQuery('#debugConsole'),
        debugConsoleContent = jQuery('#debugConsoleContent'),
        
        // OBS.: URL testes navegador = https://hashtagtv.com.br/enplug-apps/uol-financas-v2.0/player
        allowBrowserNavigation = false,
		stopCarousel = false,
        showDebugConsole = false,
        stringifyDebugObjects = true,
        fadeOutDebugConsole = false,
        fadeOutDebugConsoleDelay = 10000,
        debugLineNumber = 1,
        azul = '#42f4f4',
        amarelo = '#f4f442',
        vermelho = '#FF3F3F',
        enplugAssetMock = {
            AcceptedUseTerms:true,
            Name:'Debug only',
            
            //OBS.: APP_FOLDER está setado no "<app root>/player/env.js"
            proxyURL:'https://hashtagtv.com.br/enplug-apps/' + APP_FOLDER,

            //OBS.: Está app permite a seleção de canais, porém apenas 1 fica ativo por vez, ou cotação ou bolsa!
            FeedActiveChannels:[
				{
					key:'Dolar comercial, Euro e Libra',
					channel:1,// cotação moeda estrangeira
					url:'https://hashtagtv.com.br/enplug-apps/' + APP_FOLDER + '/php/index.php?c=1'
				}
				,
				{
					key:'Bovespa, Japão, Londres e Nasdaq',
					channel:2,// variação da bolsa
					url:'https://hashtagtv.com.br/enplug-apps/' + APP_FOLDER + '/php/index.php?c=2'
				}
			]
        };

if(allowBrowserNavigation){
    /**
    * IMPORTANTE: Se a "_epBridge" for setada aqui o navegador funcionará e o 
    *   emulador do Windows não e vice-versa!!! Para o player real não faz diferença!
    */
    window._epBridge = {
        send:function(msg){
            console.log(msg);
        }
    };
}

function updateDebugLog(txtMessage, jsonObject, txtColor, objColor){
    txtMessage = (typeof txtMessage != 'undefined' && txtMessage != '') ? txtMessage : '';
    jsonObject = (typeof jsonObject != 'undefined' && jsonObject !== null) ? jsonObject : null;
    txtColor = (typeof txtColor != 'undefined' && txtColor != '') ? txtColor : 'lime';//verde do DOS o/
    objColor = (typeof objColor != 'undefined' && objColor != '') ? objColor : 'white';

    if(txtMessage != ''){
        debugConsoleContent.prepend('<span style="color:' + txtColor + ';">[ #TV ' + debugLineNumber + ']: ' + txtMessage + '</span><br />');
        debugLineNumber += 1;
    }

    if(stringifyDebugObjects && jsonObject){
        debugConsoleContent.prepend('<span style="color:' + objColor + ';">[ #TV ' + debugLineNumber + ']: ' + JSON.stringify(jsonObject, null, '\t\t') + '</span><br />');
        debugLineNumber += 1;
    }
    
    // Console do navegador se disponivel
    if(console){
        console.log('txtMessage');
        console.dir(txtMessage);
        console.log('jsonObject');
        console.dir(jsonObject);
        console.log('txtColor');
        console.dir(txtColor);
        console.log('objColor');
        console.dir(objColor);
    }
}

function showTimeStamp(){
    var d = new Date(),
            h = (d.getHours() < 10) ? '0' + d.getHours() : d.getHours(),
            m = (d.getMinutes() < 10) ? '0' + d.getMinutes() : d.getMinutes(),
            s = (d.getSeconds() < 10) ? '0' + d.getSeconds() : d.getSeconds();

    return h + ":" + m + ":" + s;
}